/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.lightinit.hsdatagateway.modules.gateway.entity;

import org.hibernate.validator.constraints.Length;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.lightinit.hsdatagateway.common.persistence.DataEntity;

/**
 * 日志记录Entity
 * @Author yangrui
 * @version 2019-03-07
 */
public class CallLog extends DataEntity<CallLog> {
	
	private static final long serialVersionUID = 1L;
	private String routeId;		// 路由ID
	private String appId;		// 应用ID
	private String userId;		// 用户ID
	private Date callTime;		// 调用时间
	private String callResult;		// 处理结果
	private String remark;		// 备注
	private Date createdAt;		// 创建时间
	private String createdBy;		// 创建人
	private Date deletedAt;		// 删除时间
	private String deletedBy;		// 删除人
	
	public CallLog() {
		super();
	}

	public CallLog(Long id){
		super(id);
	}

	@Length(min=0, max=255, message="路由ID长度必须介于 0 和 255 之间")
	public String getRouteId() {
		return routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}
	
	@Length(min=1, max=255, message="应用ID长度必须介于 1 和 255 之间")
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getCallTime() {
		return callTime;
	}

	public void setCallTime(Date callTime) {
		this.callTime = callTime;
	}
	
	@Length(min=0, max=255, message="处理结果长度必须介于 0 和 255 之间")
	public String getCallResult() {
		return callResult;
	}

	public void setCallResult(String callResult) {
		this.callResult = callResult;
	}
	
	@Length(min=0, max=255, message="备注长度必须介于 0 和 255 之间")
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	
	@Length(min=0, max=255, message="创建人长度必须介于 0 和 255 之间")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getDeletedAt() {
		return deletedAt;
	}

	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	
	@Length(min=0, max=255, message="删除人长度必须介于 0 和 255 之间")
	public String getDeletedBy() {
		return deletedBy;
	}

	public void setDeletedBy(String deletedBy) {
		this.deletedBy = deletedBy;
	}
	
}